Cyberduck Mountain Duck CLI

#5754 closed defect (fixed)

Replace password for private key fails

Reported by: Danny Glue Owned by:
Priority: normal Milestone: 4.0.2
Component: sftp Version: 4.0
Severity: normal Keywords: SSH, passphrase
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description (last modified by dkocher)

Cyberduck 4.0.1 is asking for the SSH passphrase for SFTP connections every time despite the "Add to Keychain" option being ticked during previous connections.

Change History (11)

comment:1 follow-up: Changed on Mar 10, 2011 at 2:52:13 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Make sure you have also checked Use Keychain in the General tab of the Preferences.

comment:2 in reply to: ↑ 1 Changed on Mar 11, 2011 at 12:14:54 AM by Danny Glue

Replying to dkocher:

Make sure you have also checked Use Keychain in the General tab of the Preferences.

"Use Keychain" in preference is already ticked.

Deleting all bookmarks and reimporting or removing the app completely doesn't seem to help either.

If you connect, disconnect, and then connect again without exiting the app, it works. However, once you're closed Cyberduck, if you're try to open the same bookmarked sftp connection, it will ask for the passphrase every time.

Please reopen the ticket.

comment:3 Changed on Mar 11, 2011 at 10:23:27 AM by dkocher

Please try to repair your login keychain using Keychain Access.app → Keychain First Aid.

comment:4 Changed on Mar 14, 2011 at 3:48:41 AM by Danny Glue

Repaired using "Keychain First Aid" doesn't help.

The issue only occurred by installing the last update. It is very likely that there is something wrong with the latest version of the app, given that all other factors unchanged. Please reopen the ticket.

comment:5 Changed on Mar 15, 2011 at 8:23:19 PM by dkocher

  • Component changed from core to sftp
  • Description modified (diff)

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:6 follow-up: Changed on Mar 15, 2011 at 11:14:14 PM by Danny Glue

  • Resolution worksforme deleted
  • Status changed from closed to reopened

When quitting Cyberduck, this message is logged:

16/03/11 10:08:08 AM	Cyberduck[6365]	Error (addGenericKeychainItemForService:withUsername:password:) - errKCDuplicateItem / errSecDuplicateItem
Last edited on Mar 16, 2011 at 7:16:00 AM by dkocher (previous) (diff)

comment:7 in reply to: ↑ 6 Changed on Mar 16, 2011 at 7:21:02 AM by dkocher

  • Summary changed from Unable to save SSH passphrase on reconnect despite "Add to Keychain" option being ticked to Replace password for private key fails

Replying to Danny Glue:

When quitting Cyberduck, this message is logged:

This leads me to think that you are connecting using public key authentication and the password for the private key has changed or the key with the same name has been replaced and has new password. You can workaround this by removing the saved previous password from the Keychain manually. Search for the hostname in Keychain Access.app and remove the item that has the filename of your private key set in the account field.

comment:8 Changed on Mar 17, 2011 at 9:00:59 AM by dkocher

  • Milestone changed from 4.1 to 4.0.2
  • Resolution set to fixed
  • Status changed from reopened to closed

In r8568.

comment:9 follow-up: Changed on Mar 21, 2011 at 12:31:47 AM by Danny Glue

  • Resolution fixed deleted
  • Status changed from closed to reopened

Unfortunately, the workaround does not work. After removing the existing key from the key chain application, I can see a new key being saved after entering the passphrase when connecting. When exiting Cyberduck, no error message is captured in the Console app.

Problem persists in nightly r8580.

Last edited on Mar 21, 2011 at 9:56:29 AM by dkocher (previous) (diff)

comment:10 in reply to: ↑ 9 Changed on Mar 21, 2011 at 10:12:18 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to Danny Glue:

Unfortunately, the workaround does not work. After removing the existing key from the key chain application, I can see a new key being saved after entering the passphrase when connecting. When exiting Cyberduck, no error message is captured in the Console app.

Problem persists in nightly r8580.

Additional fix In r8584 not looking up password for private keys. Thanks for testing and reopening this ticket!

comment:11 Changed on Mar 21, 2011 at 10:13:22 AM by dkocher

This regression was introduced in r5558.

Note: See TracTickets for help on using tickets.
swiss made software